using UnityEditor;
using UnityEngine;

namespace AssetGraph.Core
{
    [CustomEditor(typeof(AssetGraphData))]
    public class AssetGraphDataEditor : UnityEditor.Editor
    {
        public override void OnInspectorGUI()
        {
            if (GUILayout.Button("Open"))
            {
                AssetGraphEditorWindow.Open((AssetGraphData)target);
            }

            if(GUILayout.Button("Calculate Dependancy Graph"))
            {
                var bleh = (AssetGraphData)target;
                bleh.runOrder = bleh.GetExecutionOrder(bleh.Nodes, bleh.Connections, true);
            }

            if(GUILayout.Button("Run Graph"))
            {
                var bleh = (AssetGraphData)target;
                bleh.RunGraph();
            }
            
        }
        
        [MenuItem("Test/TEser", false, 1)]
        public static void OpenBatchingWindow()
        {
            
        }
    }
}
